Scriptname AHMSCarryWeightGameLoad Extends ReferenceAlias

AutoHealthMagickaStamina Property AHMS Auto

GlobalVariable Property AHMSBaseCarryWeight Auto
GlobalVariable Property AHMSAutoBaseCarryWeight Auto


Event OnInit()
	Float fCarryWeight = Game.GetPlayer().GetBaseActorValue("CarryWeight")
	Debug.Trace("AHMS OnInit: BaseCarryWeight = " + fCarryWeight)
	AHMSBaseCarryWeight.SetValue(fCarryWeight)
	AHMS.CalculatePlayerStats()
EndEvent


Event OnPlayerLoadGame()
	Debug.Trace("AHMS OnPlayerLoadGame: BaseCarryWeight = " + AHMSBaseCarryWeight.GetValue())
	AHMS.SetCarryWeight()
EndEvent


Event OnRaceSwitchComplete()
	if AHMSAutoBaseCarryWeight.GetValue()
		Float fCarryWeight = Game.GetPlayer().GetBaseActorValue("CarryWeight")
		Debug.Trace("AHMS OnRaceSwitchComplete: BaseCarryWeight = " + fCarryWeight)
		AHMSBaseCarryWeight.SetValue(fCarryWeight)
	endif

	AHMS.CalculatePlayerStats()
EndEvent