Scriptname AutoHealthMagickaStamina extends Quest


Event OnStoryIncreaseSkill(string asSkill)
	CalculatePlayerStats()
	Stop()
EndEvent


Function CalculatePlayerStats()
	Float fHealth  = AHMSBaseHealth.GetValue()
	Float fMagicka = AHMSBaseMagicka.GetValue()
	Float fStamina = AHMSBaseStamina.GetValue()

	fHealth  += (player.getBaseActorValue("OneHanded")) * AHMSOneHandedHealth.getValue()
	fMagicka += (player.getBaseActorValue("OneHanded")) * AHMSOneHandedMagicka.getValue()
	fStamina += (player.getBaseActorValue("OneHanded")) * AHMSOneHandedStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("TwoHanded")) * AHMSTwoHandedHealth.getValue()
	fMagicka += (player.getBaseActorValue("TwoHanded")) * AHMSTwoHandedMagicka.getValue()
	fStamina += (player.getBaseActorValue("TwoHanded")) * AHMSTwoHandedStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("Marksman")) * AHMSMarksmanHealth.getValue()
	fMagicka += (player.getBaseActorValue("Marksman")) * AHMSMarksmanMagicka.getValue()
	fStamina += (player.getBaseActorValue("Marksman")) * AHMSMarksmanStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("Block")) * AHMSBlockHealth.getValue()
	fMagicka += (player.getBaseActorValue("Block")) * AHMSBlockMagicka.getValue()
	fStamina += (player.getBaseActorValue("Block")) * AHMSBlockStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("Smithing")) * AHMSSmithingHealth.getValue()
	fMagicka += (player.getBaseActorValue("Smithing")) * AHMSSmithingMagicka.getValue()
	fStamina += (player.getBaseActorValue("Smithing")) * AHMSSmithingStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("HeavyArmor")) * AHMSHeavyArmorHealth.getValue()
	fMagicka += (player.getBaseActorValue("HeavyArmor")) * AHMSHeavyArmorMagicka.getValue()
	fStamina += (player.getBaseActorValue("HeavyArmor")) * AHMSHeavyArmorStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("LightArmor")) * AHMSLightArmorHealth.getValue()
	fMagicka += (player.getBaseActorValue("LightArmor")) * AHMSLightArmorMagicka.getValue()
	fStamina += (player.getBaseActorValue("LightArmor")) * AHMSLightArmorStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("Pickpocket")) * AHMSPickpocketHealth.getValue()
	fMagicka += (player.getBaseActorValue("Pickpocket")) * AHMSPickpocketMagicka.getValue()
	fStamina += (player.getBaseActorValue("Pickpocket")) * AHMSPickpocketStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("Lockpicking")) * AHMSLockpickingHealth.getValue()
	fMagicka += (player.getBaseActorValue("Lockpicking")) * AHMSLockpickingMagicka.getValue()
	fStamina += (player.getBaseActorValue("Lockpicking")) * AHMSLockpickingStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("Sneak")) * AHMSSneakHealth.getValue()
	fMagicka += (player.getBaseActorValue("Sneak")) * AHMSSneakMagicka.getValue()
	fStamina += (player.getBaseActorValue("Sneak")) * AHMSSneakStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("Alchemy")) * AHMSAlchemyHealth.getValue()
	fMagicka += (player.getBaseActorValue("Alchemy")) * AHMSAlchemyMagicka.getValue()
	fStamina += (player.getBaseActorValue("Alchemy")) * AHMSAlchemyStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("Speechcraft")) * AHMSSpeechcraftHealth.getValue()
	fMagicka += (player.getBaseActorValue("Speechcraft")) * AHMSSpeechcraftMagicka.getValue()
	fStamina += (player.getBaseActorValue("Speechcraft")) * AHMSSpeechcraftStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("Alteration")) * AHMSAlterationHealth.getValue()
	fMagicka += (player.getBaseActorValue("Alteration")) * AHMSAlterationMagicka.getValue()
	fStamina += (player.getBaseActorValue("Alteration")) * AHMSAlterationStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("Conjuration")) * AHMSConjurationHealth.getValue()
	fMagicka += (player.getBaseActorValue("Conjuration")) * AHMSConjurationMagicka.getValue()
	fStamina += (player.getBaseActorValue("Conjuration")) * AHMSConjurationStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("Destruction")) * AHMSDestructionHealth.getValue()
	fMagicka += (player.getBaseActorValue("Destruction")) * AHMSDestructionMagicka.getValue()
	fStamina += (player.getBaseActorValue("Destruction")) * AHMSDestructionStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("Illusion")) * AHMSIllusionHealth.getValue()
	fMagicka += (player.getBaseActorValue("Illusion")) * AHMSIllusionMagicka.getValue()
	fStamina += (player.getBaseActorValue("Illusion")) * AHMSIllusionStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("Restoration")) * AHMSRestorationHealth.getValue()
	fMagicka += (player.getBaseActorValue("Restoration")) * AHMSRestorationMagicka.getValue()
	fStamina += (player.getBaseActorValue("Restoration")) * AHMSRestorationStamina.getValue()
	
	fHealth  += (player.getBaseActorValue("Enchanting")) * AHMSEnchantingHealth.getValue()
	fMagicka += (player.getBaseActorValue("Enchanting")) * AHMSEnchantingMagicka.getValue()
	fStamina += (player.getBaseActorValue("Enchanting")) * AHMSEnchantingStamina.getValue()

	if fHealth < 1.0
		fHealth = 1.0
	endif

	player.SetActorValue("Health",  fHealth)
	player.SetActorValue("Magicka", fMagicka)
	player.SetActorValue("Stamina", fStamina)
	
	SetCarryWeight()
EndFunction


Function SetCarryWeight()
	Float fCarryWeight = AHMSBaseCarryWeight.GetValue() + player.GetBaseActorValue("Stamina") * AHMSCarryWeightPerStamina.GetValue()
	player.SetActorValue("CarryWeight", fCarryWeight)
	Debug.Trace("AHMS SetCarryWeight: CarryWeight = " + fCarryWeight)
EndFunction


Actor property player auto

GlobalVariable Property AHMSBaseHealth auto
GlobalVariable Property AHMSBaseMagicka auto
GlobalVariable Property AHMSBaseStamina auto
GlobalVariable Property AHMSBaseCarryWeight auto

GlobalVariable Property AHMSCarryWeightPerStamina auto

GlobalVariable property AHMSOneHandedHealth auto
GlobalVariable property AHMSOneHandedMagicka auto
GlobalVariable property AHMSOneHandedStamina auto

GlobalVariable property AHMSTwoHandedHealth auto
GlobalVariable property AHMSTwoHandedMagicka auto
GlobalVariable property AHMSTwoHandedStamina auto

GlobalVariable property AHMSMarksmanHealth auto
GlobalVariable property AHMSMarksmanMagicka auto
GlobalVariable property AHMSMarksmanStamina auto

GlobalVariable property AHMSBlockHealth auto
GlobalVariable property AHMSBlockMagicka auto
GlobalVariable property AHMSBlockStamina auto

GlobalVariable property AHMSSmithingHealth auto
GlobalVariable property AHMSSmithingMagicka auto
GlobalVariable property AHMSSmithingStamina auto

GlobalVariable property AHMSHeavyArmorHealth auto
GlobalVariable property AHMSHeavyArmorMagicka auto
GlobalVariable property AHMSHeavyArmorStamina auto

GlobalVariable property AHMSLightArmorHealth auto
GlobalVariable property AHMSLightArmorMagicka auto
GlobalVariable property AHMSLightArmorStamina auto

GlobalVariable property AHMSPickpocketHealth auto
GlobalVariable property AHMSPickpocketMagicka auto
GlobalVariable property AHMSPickpocketStamina auto

GlobalVariable property AHMSLockpickingHealth auto
GlobalVariable property AHMSLockpickingMagicka auto
GlobalVariable property AHMSLockpickingStamina auto

GlobalVariable property AHMSSneakHealth auto
GlobalVariable property AHMSSneakMagicka auto
GlobalVariable property AHMSSneakStamina auto

GlobalVariable property AHMSAlchemyHealth auto
GlobalVariable property AHMSAlchemyMagicka auto
GlobalVariable property AHMSAlchemyStamina auto

GlobalVariable property AHMSSpeechcraftHealth auto
GlobalVariable property AHMSSpeechcraftMagicka auto
GlobalVariable property AHMSSpeechcraftStamina auto

GlobalVariable property AHMSAlterationHealth auto
GlobalVariable property AHMSAlterationMagicka auto
GlobalVariable property AHMSAlterationStamina auto

GlobalVariable property AHMSConjurationHealth auto
GlobalVariable property AHMSConjurationMagicka auto
GlobalVariable property AHMSConjurationStamina auto

GlobalVariable property AHMSDestructionHealth auto
GlobalVariable property AHMSDestructionMagicka auto
GlobalVariable property AHMSDestructionStamina auto

GlobalVariable property AHMSIllusionHealth auto
GlobalVariable property AHMSIllusionMagicka auto
GlobalVariable property AHMSIllusionStamina auto

GlobalVariable property AHMSRestorationHealth auto
GlobalVariable property AHMSRestorationMagicka auto
GlobalVariable property AHMSRestorationStamina auto

GlobalVariable property AHMSEnchantingHealth auto
GlobalVariable property AHMSEnchantingMagicka auto
GlobalVariable property AHMSEnchantingStamina auto